Print pink report by activity code 1

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://developers.smartpm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "SmartPM Public API MCP server": {
    "url": "https://developers.smartpm.com/mcp"
  }
}

Close
POST /project/{projectId}/scenario/{scenarioId}/pink-report/activity-code

Headers

  • X-COMPANY-ID string Required

    The company's unique ID

Path parameters

  • projectId integer(int64) Required
  • scenarioId integer(int64) Required
application/json

Body Required

  • importLogId integer(int64)
  • paperSize string

    Values are Letter_Portrait, Letter, Legal, Tabloid, ArchD, or ArchE.

  • activityTypeCodes array[integer(int64)]
  • activityCodeLabel string

    Values are Value or Description.

Responses

  • 200 application/json

    OK

POST /project/{projectId}/scenario/{scenarioId}/pink-report/activity-code
curl \
 --request POST 'https://live.smartpmtech.com/project/{projectId}/scenario/{scenarioId}/pink-report/activity-code' \
 --header "X-API-KEY: $API_KEY" \
 --header "Content-Type: application/json" \
 --header "X-COMPANY-ID: string" \
 --data '{
  "importLogId": 42,
  "paperSize": "Letter_Portrait",
  "companyLogo": "string",
  "activityTypeCodes": [
    42
  ],
  "activityCodeLabel": "Value"
}'
Request examples
# Headers
X-COMPANY-ID: string

# Payload
{
  "importLogId": 42,
  "paperSize": "Letter_Portrait",
  "companyLogo": "string",
  "activityTypeCodes": [
    42
  ],
  "activityCodeLabel": "Value"
}
Response examples (200)
42